function gettrans

   paths = strsplit(!path,':',/extract)
   for p = -1, n_elements(paths)-1 do begin   ; find the directory this file is in
      if p ge 0 then path = paths[p] $
                     else path = ''
      sfile = path+'/trans.sav'
      n = countfiles(sfile)
      if n gt 0 then synphotpath = path+'/'
      if n gt 0 then break
   endfor
   if n eq 0 then begin
      print, 'Problem finding synphot directory.  This error should not occur.'
   endif

   restore, synphotpath+'trans.sav'
   return, trans

end

