function igrid, grid, agrid, a

   ; interpolate a row on a grid:
   ; agrid       grid     
   ; 5     [[1, 2, 3, 4, 5]
   ; 10     [1, 4, 9, 16, 25]
   ; 15     [1, 8, 27, 64, 125]
   ; 20     [1, 16, 81, 256, 625]]
  
   ; a=7.5 -> [1, 3, 6, 10, 15]

   s = size(grid)
   ncol = s[1]
   nrow = s[2]
   
   out = fltarr(ncol)

   for i = 0, ncol-1 do begin
      col = grid[i,*]
      out[i] = interpol(col,agrid,a)
   endfor

   return, out

end

