function getgalbuilderpath

   paths = strsplit(!path,':',/extract)
   for p = -1, n_elements(paths)-1 do begin   ; find the directory this file is in
      if p ge 0 then path = paths[p] $
                     else path = ''
      sfile = path+'/getgalbuilderpath.pro'
      n = countfiles(sfile)
      if n gt 0 then galbuilderpath = path+'/'
      if n gt 0 then break
   endfor
   if n eq 0 then begin
      print, 'Problem finding galbuilder directory.  This error should not occur.'
   endif

   return, galbuilderpath

end

