pro readbc03
   ;nwav = 6900
   nwav = 1221
   nage = 221
   nmetal = 6

   bc03 = {metal:fltarr(nmetal), age:fltarr(nage), wav:fltarr(nwav), Llambda:fltarr(nmetal,nage,nwav)}

  ; modelfiles = ['bc2003_hr_m22_chab_ssp.ised.dat','bc2003_hr_m32_chab_ssp.ised.dat','bc2003_hr_m42_chab_ssp.ised.dat',$
  ;            'bc2003_hr_m52_chab_ssp.ised.dat','bc2003_hr_m62_chab_ssp.ised.dat','bc2003_hr_m72_chab_ssp.ised.dat']

  modelfiles = ['bc2003_lr_m22_chab_ssp.ised.dat','bc2003_lr_m32_chab_ssp.ised.dat','bc2003_hr_ml42_chab_ssp.ised.dat',$
             'bc2003_lr_m52_chab_ssp.ised.dat','bc2003_lr_m62_chab_ssp.ised.dat','bc2003_lr_m72_chab_ssp.ised.dat']


   bc03.metal = [0.005,0.02,0.2,0.4,1.0,2.5]

 for m = 0, 5 do begin
   print, modelfiles[m]
   openr, 1, '~/research/popsyn/bc03/models/Padova1994/chabrier/' + modelfiles[m]

   inline = ''
   l = 0
     readf, 1, inline
     inline = strmid(inline,19)
     inarr = strsplit(inline,/extract)
     indata = double(inarr)
     bc03.wav = indata

   a = 0
   for l = 1, nage do begin
     readf, 1, inline
     bc03.age[a] = strmid(inline,0,12)
     inline = strmid(inline,19)
     inarr = strsplit(inline,/extract)
     indata = double(inarr)   
     bc03.Llambda[m,a,*] = indata  ;[0:nwav-1]
     a += 1
   endfor

   close, 1
 endfor

save, bc03, filename='bc03lr.sav'

end


