FUNCTION expaxis, axis, index, number
    currentExcept = !Except
    !Except = 0

     ; http://www.dfanning.com/tips/exponents.html

     ; A special case.
     IF number EQ 0 THEN RETURN, '0' 

     ; Assuming multiples of 10 with format.
     ex = String(number, Format='(e8.0)') 
     pt = StrPos(ex, '.')

     first = strtrim(StrMid(ex, 0, pt),2)
     sign = StrMid(ex, pt+2, 1)
     thisExponent = StrMid(ex, pt+3)

     ; Shave off leading zero in exponent
     WHILE StrMid(thisExponent, 0, 1) EQ '0' DO thisExponent = StrMid(thisExponent, 1)

     ; Fix for sign and missing zero problem.
     IF (Long(thisExponent) EQ 0) THEN BEGIN
        sign = ''
        thisExponent = '0'
     ENDIF

     if sign eq '+' then psign = '' else psign = sign


     if first ne '1' then $
        return, first + 'x10!U' + psign + thisExponent + '!N' $
     else $
        return, '10!U' + psign + thisExponent + '!N'

     !Except = currentExcept 

END

