; ripped from fit_extinct.pro

function extinction, angst, rv, av

nangst = n_elements(angst)

array_alamb = fltarr(nangst)

for j = 0, nangst-1 do begin
    ;; the extinction curve from george converted to IDL
    ;; 
    X = 10000./ANGST[j]
    gothere = 0
    IF (X LT 1.1) THEN begin
        
        A = 0.574 * X^1.61
        B = -0.527 * X^1.61
        gothere = 1
    endif

    IF ((X GE 1.1) AND (X LE 3.3)) THEN begin
        
        Y = X - 1.82
        Y2 = Y*Y
        Y3 = Y*Y2
        Y4 = Y2*Y2
    
        A = 1.0 + 0.17699 * Y $
          - 0.50447 * Y2 $
          - 0.02427 * Y3 $
          + 0.72085 * Y4 $
          + 0.01979 * Y2*Y3 $
          - 0.77530 * Y3*Y3 $
          + 0.32999 * Y3*Y4 
 
        B =       1.41338 * Y $
          + 2.28305 * Y2 $
          + 1.07233 * Y3 $
          - 5.38434 * Y4 $ 
          - 0.62251 * Y2*Y3 $
          + 5.30360 * Y3*Y3 $
          - 2.09002 * Y3*Y4
        gothere = 1
    endif 
                    
    IF ((X GT 3.3) AND (X LE 8.0)) THEN begin
        
        IF (X LT 5.9) THEN begin
            
            FA = 0.
            FB = 0.
        endif ELSE begin
            X59 = X - 5.9
            XX  = X59*X59
            XXX = X59*XX
            
            FA = -0.04473 * XX -0.009779 * XXX
            FB =  0.2130  * XX +0.1207   * XXX
        ENDelse
        
        A = FA  + 1.752 - 0.316 * X $ 
          - 0.104/((X-4.47)^2 + 0.341)
        
        B = FB  - 3.090 + 1.825 * X $
          + 1.206/((X-4.62)^2 + 0.263)
        gothere = 1
    endif 
    
    IF ((X GT 8.0) AND (X LE 10d0)) THEN begin
        
        X8  = X - 8.0
        XX  = X8*X8
        XXX = XX*X8
        
        
        A = -1.073 - 0.628*X8 + 0.137*XX - 0.070*XXX
        B = 13.670 + 4.257*X8 - 0.420*XX + 0.374*XXX
        gothere = 1
    endif
    if (gothere EQ 0) then begin
        A = 0.
        B = 0.
    ENDif
    gothere =0

    IF (X LE 10) THEN begin
        ALAMB = AV * (A + B/RV)
        TRANS = (10.)^(-0.4*ALAMB)
        gothere = 1 
    endif
    IF (X LT 0.3) THEN begin
        ALAMB = 0.
        TRANS = 1.
        gothere = 1
    endif                
    IF (X GT 10.0) THEN begin
        ALAMB = 999.999
        TRANS = 0.
        gothere = 1
    endif 
    if (gothere EQ 0) then begin
        ALAMB = 999.999
        TRANS = 0.
    ENDif
    array_alamb[j] = alamb
endfor

return,array_alamb

end

