; given explicity set parameters, makes the paramater array.

function mkp, par, $
      z=z, sfr=sfr, age=age, tav=tav, model=model, texp=texp, metallicity=metallicity, mass=mass, $
      embedfrac=embedfrac, av=av, embedav=embedav, dustlaw=dustlaw, rv=rv, $
      Tdust=Tdust, gasmetal=gasmetal, q=q, L=L

   ppos = ppos()
   p = fltarr(ppos.npar)

   if n_elements(par) gt 0 then begin
      p[ppos.z] = par.z
      p[ppos.metal] = par.metal
      p[ppos.sfr] = par.sfr
      p[ppos.tav] = par.tav
      p[ppos.age] = par.age
      p[ppos.age2] = par.age2
      p[ppos.tau] = par.tau
      p[ppos.mass] = par.mass
      p[ppos.fembed] = par.fembed
      p[ppos.av] = par.av
      p[ppos.avembed] = par.avembed
      p[ppos.dustlaw] = where(extmap() eq strlowcase(par.dustlaw))
      p[ppos.rv] = par.rv
      p[ppos.Tdust] = par.Tdust
      p[ppos.L] = par.L
      p[ppos.q] = par.q
      p[ppos.gasmetal] = par.gasmetal
   endif else begin
      ; This part doesn't work yet (or maybe it does, haven't checked)
      p[ppos.z] = z
      p[ppos.metal] = metallicity
      p[ppos.sfr] = sfr
      p[ppos.tav] = tav
      p[ppos.age] = age[0]
      if n_elements(age) gt 1 then p[ppos.age2] = age[1]
      p[ppos.tau] = texp
      p[ppos.mass] = mass
      p[ppos.fembed] = embedfrac
      p[ppos.av] = av
      p[ppos.avembed] = embedav
      p[ppos.dustlaw] = where(extmap() eq dustlaw)
      p[ppos.rv] = rv
      p[ppos.Tdust] = Tdust
      p[ppos.L] = L
      p[ppos.q] = q
      p[ppos.gasmetal] = gasmetal
   endelse

   return, p

end
